| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::ximgproc::EdgeDrawing::Params Struct Reference

`#include <opencv2/ximgproc/edge_drawing.hpp>`

Collaboration diagram for cv::ximgproc::EdgeDrawing::Params:

## Public Member Functions
| Params ()
void | read (const FileNode &fn)
void | write (FileStorage &fs) const

## Public Attributes
int | AnchorThresholdValue
| threshold value used to select anchor points. Default value is 0
int | EdgeDetectionOperator
| indicates the operator used for gradient calculation.
int | GradientThresholdValue
| threshold value of gradiential difference between pixels. Used to create gradient image. Default value is 20
double | LineFitErrorThreshold
| Default value is 1.0.
double | MaxDistanceBetweenTwoLines
| Default value is 6.0.
double | MaxErrorThreshold
| Default value is 1.3.
int | MinLineLength
| minimun line length to detect.
int | MinPathLength
| minimun connected pixels length processed to create an edge segment.
bool | NFAValidation
| Default value is true. indicates if NFA (Number of False Alarms) algorithm will be used for line and ellipse validation.
bool | PFmode
| Parameter Free mode will be activated when this value is set as true. Default value is false.
int | ScanInterval
| Default value is 1.
float | Sigma
| sigma value for internal GaussianBlur() function. Default value is 1.0
bool | SumFlag

## Constructor & Destructor Documentation

## ◆ Params()

cv::ximgproc::EdgeDrawing::Params::Params | ( |  | ) |

## Member Function Documentation

## ◆ read()

void cv::ximgproc::EdgeDrawing::Params::read | ( | const FileNode & | fn | ) |

## ◆ write()

void cv::ximgproc::EdgeDrawing::Params::write | ( | FileStorage & | fs | ) | const

## Member Data Documentation

## ◆ AnchorThresholdValue

int cv::ximgproc::EdgeDrawing::Params::AnchorThresholdValue

threshold value used to select anchor points. Default value is 0

## ◆ EdgeDetectionOperator

int cv::ximgproc::EdgeDrawing::Params::EdgeDetectionOperator

indicates the operator used for gradient calculation.

one of the flags cv::ximgproc::EdgeDrawing::GradientOperator. Default value is PREWITT

## ◆ GradientThresholdValue

int cv::ximgproc::EdgeDrawing::Params::GradientThresholdValue

threshold value of gradiential difference between pixels. Used to create gradient image. Default value is 20

## ◆ LineFitErrorThreshold

double cv::ximgproc::EdgeDrawing::Params::LineFitErrorThreshold

Default value is 1.0.

## ◆ MaxDistanceBetweenTwoLines

double cv::ximgproc::EdgeDrawing::Params::MaxDistanceBetweenTwoLines

Default value is 6.0.

## ◆ MaxErrorThreshold

double cv::ximgproc::EdgeDrawing::Params::MaxErrorThreshold

Default value is 1.3.

## ◆ MinLineLength

int cv::ximgproc::EdgeDrawing::Params::MinLineLength

minimun line length to detect.

## ◆ MinPathLength

int cv::ximgproc::EdgeDrawing::Params::MinPathLength

minimun connected pixels length processed to create an edge segment.

in gradient image, minimum connected pixels length processed to create an edge segment. pixels having upper value than GradientThresholdValue will be processed. Default value is 10

## ◆ NFAValidation

bool cv::ximgproc::EdgeDrawing::Params::NFAValidation

Default value is true. indicates if NFA (Number of False Alarms) algorithm will be used for line and ellipse validation.

## ◆ PFmode

bool cv::ximgproc::EdgeDrawing::Params::PFmode

Parameter Free mode will be activated when this value is set as true. Default value is false.

## ◆ ScanInterval

int cv::ximgproc::EdgeDrawing::Params::ScanInterval

Default value is 1.

## ◆ Sigma

float cv::ximgproc::EdgeDrawing::Params::Sigma

sigma value for internal GaussianBlur() function. Default value is 1.0

## ◆ SumFlag

bool cv::ximgproc::EdgeDrawing::Params::SumFlag

The documentation for this struct was generated from the following file:

- opencv2/ximgproc/edge_drawing.hpp